

# GameStateEvent


## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**moves** | **String** | Current moves in UCI format | 
**wtime** | **Integer** | Integer of milliseconds White has left on the clock | 
**btime** | **Integer** | Integer of milliseconds Black has left on the clock | 
**winc** | **Integer** | Integer of White Fisher increment. | 
**binc** | **Integer** | Integer of Black Fisher increment. | 
**status** | **GameStatus** |  | 
**winner** | **String** | Color of the winner, if any |  [optional]
**wdraw** | **Boolean** | true if white is offering draw, else omitted |  [optional]
**bdraw** | **Boolean** | true if black is offering draw, else omitted |  [optional]
**wtakeback** | **Boolean** | true if white is proposing takeback, else omitted |  [optional]
**btakeback** | **Boolean** | true if black is proposing takeback, else omitted |  [optional]



