# SimulsApi

All URIs are relative to *https://lichess.org*

Method | HTTP request | Description
------------- | ------------- | -------------
[**apiSimul**](SimulsApi.md#apiSimul) | **GET** /api/simul | Get current simuls


<a name="apiSimul"></a>
# **apiSimul**
> List&lt;Object&gt; apiSimul()

Get current simuls

Get recently finished, ongoing, and upcoming simuls. 

### Example
```java
// Import classes:
import org.openapitools.client.ApiClient;
import org.openapitools.client.ApiException;
import org.openapitools.client.Configuration;
import org.openapitools.client.models.*;
import org.openapitools.client.api.SimulsApi;

public class Example {
  public static void main(String[] args) {
    ApiClient defaultClient = Configuration.getDefaultApiClient();
    defaultClient.setBasePath("https://lichess.org");

    SimulsApi apiInstance = new SimulsApi(defaultClient);
    try {
      List<Object> result = apiInstance.apiSimul();
      System.out.println(result);
    } catch (ApiException e) {
      System.err.println("Exception when calling SimulsApi#apiSimul");
      System.err.println("Status code: " + e.getCode());
      System.err.println("Reason: " + e.getResponseBody());
      System.err.println("Response headers: " + e.getResponseHeaders());
      e.printStackTrace();
    }
  }
}
```

### Parameters
This endpoint does not need any parameter.

### Return type

**List&lt;Object&gt;**

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

### HTTP response details
| Status code | Description | Response headers |
|-------------|-------------|------------------|
**200** | The list of simuls. |  * Access-Control-Allow-Origin -  <br>  |

