

# UserPreferences


## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**dark** | **Boolean** |  |  [optional]
**transp** | **Boolean** |  |  [optional]
**bgImg** | **URI** |  |  [optional]
**is3d** | **Boolean** |  |  [optional]
**theme** | [**ThemeEnum**](#ThemeEnum) |  |  [optional]
**pieceSet** | [**PieceSetEnum**](#PieceSetEnum) |  |  [optional]
**theme3d** | [**Theme3dEnum**](#Theme3dEnum) |  |  [optional]
**pieceSet3d** | [**PieceSet3dEnum**](#PieceSet3dEnum) |  |  [optional]
**soundSet** | [**SoundSetEnum**](#SoundSetEnum) |  |  [optional]
**blindfold** | **Integer** |  |  [optional]
**autoQueen** | **Integer** |  |  [optional]
**autoThreefold** | **Integer** |  |  [optional]
**takeback** | **Integer** |  |  [optional]
**moretime** | **Integer** |  |  [optional]
**clockTenths** | **Integer** |  |  [optional]
**clockBar** | **Boolean** |  |  [optional]
**clockSound** | **Boolean** |  |  [optional]
**premove** | **Boolean** |  |  [optional]
**animation** | **Integer** |  |  [optional]
**captured** | **Boolean** |  |  [optional]
**follow** | **Boolean** |  |  [optional]
**highlight** | **Boolean** |  |  [optional]
**destination** | **Boolean** |  |  [optional]
**coords** | **Integer** |  |  [optional]
**replay** | **Integer** |  |  [optional]
**challenge** | **Integer** |  |  [optional]
**message** | **Integer** |  |  [optional]
**coordColor** | **Integer** |  |  [optional]
**submitMove** | **Integer** |  |  [optional]
**confirmResign** | **Integer** |  |  [optional]
**insightShare** | **Integer** |  |  [optional]
**keyboardMove** | **Integer** |  |  [optional]
**zen** | **Integer** |  |  [optional]
**moveEvent** | **Integer** |  |  [optional]
**rookCastle** | **Integer** |  |  [optional]



## Enum: ThemeEnum

Name | Value
---- | -----
BLUE | &quot;blue&quot;
BLUE2 | &quot;blue2&quot;
BLUE3 | &quot;blue3&quot;
BLUE_MARBLE | &quot;blue-marble&quot;
CANVAS | &quot;canvas&quot;
WOOD | &quot;wood&quot;
WOOD2 | &quot;wood2&quot;
WOOD3 | &quot;wood3&quot;
WOOD4 | &quot;wood4&quot;
MAPLE | &quot;maple&quot;
MAPLE2 | &quot;maple2&quot;
BROWN | &quot;brown&quot;
LEATHER | &quot;leather&quot;
GREEN | &quot;green&quot;
MARBLE | &quot;marble&quot;
GREEN_PLASTIC | &quot;green-plastic&quot;
GREY | &quot;grey&quot;
METAL | &quot;metal&quot;
OLIVE | &quot;olive&quot;
NEWSPAPER | &quot;newspaper&quot;
PURPLE | &quot;purple&quot;
PURPLE_DIAG | &quot;purple-diag&quot;
PINK | &quot;pink&quot;
IC | &quot;ic&quot;



## Enum: PieceSetEnum

Name | Value
---- | -----
CBURNETT | &quot;cburnett&quot;
MERIDA | &quot;merida&quot;
ALPHA | &quot;alpha&quot;
PIROUETTI | &quot;pirouetti&quot;
CHESSNUT | &quot;chessnut&quot;
CHESS7 | &quot;chess7&quot;
REILLYCRAIG | &quot;reillycraig&quot;
COMPANION | &quot;companion&quot;
RIOHACHA | &quot;riohacha&quot;
KOSAL | &quot;kosal&quot;
LEIPZIG | &quot;leipzig&quot;
FANTASY | &quot;fantasy&quot;
SPATIAL | &quot;spatial&quot;
CALIFORNIA | &quot;california&quot;
PIXEL | &quot;pixel&quot;
MAESTRO | &quot;maestro&quot;
FRESCA | &quot;fresca&quot;
CARDINAL | &quot;cardinal&quot;
GIOCO | &quot;gioco&quot;
TATIANA | &quot;tatiana&quot;
STAUNTY | &quot;staunty&quot;
GOVERNOR | &quot;governor&quot;
DUBROVNY | &quot;dubrovny&quot;
ICPIECES | &quot;icpieces&quot;
SHAPES | &quot;shapes&quot;
LETTER | &quot;letter&quot;



## Enum: Theme3dEnum

Name | Value
---- | -----
BLACK_WHITE_ALUMINIUM | &quot;Black-White-Aluminium&quot;
BRUSHED_ALUMINIUM | &quot;Brushed-Aluminium&quot;
CHINA_BLUE | &quot;China-Blue&quot;
CHINA_GREEN | &quot;China-Green&quot;
CHINA_GREY | &quot;China-Grey&quot;
CHINA_SCARLET | &quot;China-Scarlet&quot;
CLASSIC_BLUE | &quot;Classic-Blue&quot;
GOLD_SILVER | &quot;Gold-Silver&quot;
LIGHT_WOOD | &quot;Light-Wood&quot;
POWER_COATED | &quot;Power-Coated&quot;
ROSEWOOD | &quot;Rosewood&quot;
MARBLE | &quot;Marble&quot;
WAX | &quot;Wax&quot;
JADE | &quot;Jade&quot;
WOODI | &quot;Woodi&quot;



## Enum: PieceSet3dEnum

Name | Value
---- | -----
BASIC | &quot;Basic&quot;
WOOD | &quot;Wood&quot;
METAL | &quot;Metal&quot;
REDVBLUE | &quot;RedVBlue&quot;
MODERNJADE | &quot;ModernJade&quot;
MODERNWOOD | &quot;ModernWood&quot;
GLASS | &quot;Glass&quot;
TRIMMED | &quot;Trimmed&quot;
EXPERIMENTAL | &quot;Experimental&quot;
STAUNTON | &quot;Staunton&quot;
CUBESANDPI | &quot;CubesAndPi&quot;



## Enum: SoundSetEnum

Name | Value
---- | -----
SILENT | &quot;silent&quot;
STANDARD | &quot;standard&quot;
PIANO | &quot;piano&quot;
NES | &quot;nes&quot;
SFX | &quot;sfx&quot;
FUTURISTIC | &quot;futuristic&quot;
ROBOT | &quot;robot&quot;
MUSIC | &quot;music&quot;
SPEECH | &quot;speech&quot;



