

# ChallengeJson


## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**id** | **String** |  | 
**url** | **String** |  | 
**status** | [**StatusEnum**](#StatusEnum) |  | 
**challenger** | [**ChallengeUser**](ChallengeUser.md) |  | 
**destUser** | [**ChallengeUser**](ChallengeUser.md) |  | 
**variant** | [**Variant**](Variant.md) |  | 
**rated** | **Boolean** |  | 
**speed** | **Speed** |  | 
**timeControl** | [**TimeControl**](TimeControl.md) |  | 
**color** | [**ColorEnum**](#ColorEnum) |  | 
**perf** | [**ChallengeJsonPerf**](ChallengeJsonPerf.md) |  | 
**direction** | [**DirectionEnum**](#DirectionEnum) |  |  [optional]
**initialFen** | **String** |  |  [optional]
**declineReason** | **String** |  |  [optional]



## Enum: StatusEnum

Name | Value
---- | -----
CREATED | &quot;created&quot;
OFFLINE | &quot;offline&quot;
CANCELED | &quot;canceled&quot;
DECLINED | &quot;declined&quot;
ACCEPTED | &quot;accepted&quot;



## Enum: ColorEnum

Name | Value
---- | -----
WHITE | &quot;white&quot;
BLACK | &quot;black&quot;
RANDOM | &quot;random&quot;



## Enum: DirectionEnum

Name | Value
---- | -----
IN | &quot;in&quot;
OUT | &quot;out&quot;



