

# GameJson


## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**id** | **String** |  | 
**rated** | **Boolean** |  | 
**variant** | **VariantKey** |  | 
**speed** | **Speed** |  | 
**perf** | **String** |  | 
**createdAt** | **BigDecimal** |  | 
**lastMoveAt** | **BigDecimal** |  | 
**status** | **GameStatus** |  | 
**players** | [**GameJsonPlayers**](GameJsonPlayers.md) |  | 
**initialFen** | **String** |  |  [optional]
**winner** | [**WinnerEnum**](#WinnerEnum) |  |  [optional]
**opening** | [**GameJsonOpening**](GameJsonOpening.md) |  |  [optional]
**moves** | **String** |  |  [optional]
**pgn** | **String** |  |  [optional]
**daysPerTurn** | **BigDecimal** |  |  [optional]
**analysis** | [**List&lt;GameJsonAnalysis&gt;**](GameJsonAnalysis.md) |  |  [optional]
**tournament** | **String** |  |  [optional]
**swiss** | **String** |  |  [optional]
**clock** | [**GameJsonClock**](GameJsonClock.md) |  |  [optional]



## Enum: WinnerEnum

Name | Value
---- | -----
WHITE | &quot;white&quot;
BLACK | &quot;black&quot;



